{# -*- mode: jinja-html -*- #}
{% extends 'base.j2' %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}
<link type="text/css" rel="stylesheet" href="/ScoDoc/static/css/autosuggest_inquisitor.css" />
<script src="/ScoDoc/static/libjs/AutoSuggest.js"></script>
{% endblock %}

{% block app_content %}
<h1>{{ title }}</h1>
<br>
<div class="row">
    <div class="col-md-4">
        <p>
            (*) champs requis
        </p>
        {{ wtf.quick_form(form, novalidate=True) }}
    </div>
</div>

<script>
    {# pour les formulaires offre # }
    var champ_depts = document.getElementById("depts")
    if (champ_depts) {
        var closest_form_control = champ_depts.closest(".form-control")
        closest_form_control.classList.remove("form-control")
    }

    if (document.getElementById("expiration_date") && document.getElementById("expiration_date").value === "")
        expiration()

    if (document.getElementById("type_offre"))
        document.getElementById("type_offre").addEventListener("change", expiration);

    function expiration() {
        var date = new Date()
        var expiration = document.getElementById("expiration_date")
        var type_offre = document.getElementById("type_offre").value
        if (type_offre === "Alternance") {
            expiration.value = `${date.getFullYear() + 1}-01-01`
        } else {
            if (date.getMonth() + 1 < 8)
                expiration.value = `${date.getFullYear()}-08-01`
            else
                expiration.value = `${date.getFullYear() + 1}-08-01`
        }
    }

    var responsables_options = {
        script: "/ScoDoc/entreprises/responsables?",
        varname: "term",
        json: true,
        noresults: "Valeur invalide !",
        minchars: 2,
        timeout: 60000
    };

    var as_utilisateurs = new bsn.AutoSuggest('utilisateur', responsables_options);
</script>
{% endblock %}